# Introduction

## Timeline

The timeline consists of two concepts:

* the date and time (aka datetime),
* the date range of a certain width centered around the datetime (aka timespan).

The currently selected datetime is referred to as the "current datetime".
And the currently selected timespan is referred to as the "current timespan".

The user can change both the current datetime and the current timespan.

An animation is just an automatic increment/decrement of the current datetime
by a fixed step (controlled by the animation speed) every fixed delay.

## Dataset

A temporally and spatially referenced piece of data.

It can be a trajectory (e.g. drifters), an image (e.g. SAR), or a vector field
(barbs, arrows, or streamlines) (e.g. surface current).

It must have:

* spatial attributes: a bounding box (or point) and an optional outlining
polygon (aka outline).
* temporal attributes: a start date and an end date (a date range).

The dataset will be added to the map either:

* when its date range contains the current datetime, or
* when its product's `mustBeCurrent` is `false` and its date range intersects
the current timespan.

## Product

A collection of [datasets](#dataset) that share the same configuration.
